//=============================================================================
//  MuseScore
//  Linux Music Score Editor
//  $Id:$
//
//  " T E S T N E W S C O R E 1 " plugin
//
//	Tests new Score() call from run() method.
//	Version 0.1 - Date 21.02.2010
//
//	By Maurizio M. Gavioli, 2010.
//
//  MuseScore: Copyright (C)2008 Werner Schweer and others
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License version 2.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//=============================================================================

//---------------------------------------------------------
//	init()
//	this function will be called on startup of mscore
//---------------------------------------------------------

function init()
{
};

//-------------------------------------------------------------------
//	run()
//	this function will be called when activating the plugin menu entry
//	creates a new score with 1 note and 1 staff text.
//-------------------------------------------------------------------

function run()
{	var		chord, cursor, note, score, scoreText;

	score			= new Score();
	score.name  	= "testnewscore1";
	score.title 	= "Test New Score 1";
	score.appendPart("Violin");
	score.appendMeasures(4);

	cursor			= new Cursor(score);
	cursor.staff	= 0;
	cursor.voice	= 0;
	cursor.rewind();


	chord			= new Chord();
	chord.tickLen	= 480;
	note			= new Note();
	note.pitch		= 60;
	chord.addNote(note);
	cursor.add(chord);

	scoreText  = new Text(score);
	scoreText.text = "a text";
	cursor.putStaffText(scoreText);
};

//---------------------------------------------------------
//	menu:	defines were the function will be placed
//			in the MuseScore menu structure
//---------------------------------------------------------

var mscorePlugin =
{	menu: 'Plugins.Test New Score 1',
		init: init,
		run:  run
};

mscorePlugin;


