//=============================================================================
//  MuseScore
//  Linux Music Score Editor
//  $Id:$
//
//  " T E S T N E W S C O R E 3 " plugin
//
//	Tests new Score() call from dialogue box caalback.
//	Version 0.1 - Date 21.02.2010
//
//	By Maurizio M. Gavioli, 2010.
//
//  MuseScore: Copyright (C)2008 Werner Schweer and others
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License version 2.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//=============================================================================

var g_form, g_score;

//---------------------------------------------------------
//	init()
//	this function will be called on startup of mscore
//---------------------------------------------------------

function init()
{
};

//-------------------------------------------------------------------
//	run()
//	this function will be called when activating the plugin menu entry
//-------------------------------------------------------------------

function run()
{
	// create the score as a global object
	g_score			= new Score();
	g_score.name  	= "testnewscore3";
	g_score.title 	= "Test New Score 3";
	g_score.appendPart("Violin");
	g_score.appendMeasures(4);

	// create the UI
	var loader = new QUiLoader(null);
	var file   = new QFile(pluginPath + "/testnewscore2.ui");
	file.open(QIODevice.OpenMode(QIODevice.ReadOnly, QIODevice.Text));
	g_form = loader.load(file, null);
	g_form.pushDone.clicked.connect(dlgAccept);
	g_form.show();								// show the dlg
};

//-------------------------------------------------------------------
//	dlgAccept()
//	this function will be called when accepting the main dialogue box.
//	creates a new score with 1 note and 1 staff text.
//-------------------------------------------------------------------

function dlgAccept()
{	var		chord, cursor, note, scoreText;

	cursor			= new Cursor(g_score);
	cursor.staff	= 0;
	cursor.voice	= 0;
	cursor.rewind();


	chord			= new Chord();
	chord.tickLen	= 480;
	note			= new Note();
	note.pitch		= 60;
	chord.addNote(note);
	cursor.add(chord);

	scoreText  = new Text(g_score);
	scoreText.text = "a text";
	cursor.putStaffText(scoreText);
	g_form.accept();					// close dlg
};

//---------------------------------------------------------
//	menu:	defines were the function will be placed
//			in the MuseScore menu structure
//---------------------------------------------------------

var mscorePlugin =
{	menu: 'Plugins.Test New Score 3',
		init: init,
		run:  run
};

mscorePlugin;


